Search for borrowers. Returns same resources as /people.
Performs fuzzy matching on all fuzzy-matchable search fields and exact matching on all exact-matchable search fields, and ensure that entries matching that search will not appear in results.
For example, _notTheWords=Rob will match a firstName of Robby a lastName of Roberts and street address of 123 Robinson Dr and ensure those results are not included in results.
Fuzzy matches addresses associated with a borrower. For example address=fake will match an addressLine1 of 123 Fake St as well as a city of Fakeville.
Note that states are stored as their abbreviations, so you must search with the abbreviation to match. For example, address=MO will match Missouri, but address=Missouri will not.
Exactly matches a substring of the borrower's first name.
For example, if a borrower's first name were 'William',
firstNamePartial=Willwould match because it is exactly contained in the first name.firstNamePartial=liawould match because it is exactly contained in the first name.firstNamePartial=Billwould NOT match because, while close, it is not exactly contained in the first name.
Exactly matches a substring of the loan's external ID.
For example, if a loan's external ID were 6eeab840-3cbc-4c40-a19b-df3e9c040a54,
loanIdPartial=6eeab840would match because it is exactly contained in the external ID.loanIdPartial=cbc-4c40-a1would match because it is exactly contained in the external ID.loanIdPartial=9bdf3ewould NOT match because, while close, it is not exactly contained in the external ID.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/search?_hasTheWords=string&_notTheWords=string&address=string&bankruptcyCourtCase=string&borrowerType=business&businessName=string&caseId=string&city=string&dateOfBirth=2019-08-24&email=string&emailExact=string&employeeEmail=string&employeeEmailExact=string&employeePhone=string&employeeName=string&firstName=string&firstNamePartial=string&fullName=string&incorporatedState=string&id=string&interactionId=IN-1234-ABCD&lastName=string&lastNamePartial=string&legalRepFirstName=string&legalRepLastName=string&legalRepEmail=string&legalRepPhone=string&loanId=LN-1234-ABCD&loanIdPartial=string&maidenName=string&maidenNamePartial=string&middleName=string&middleNamePartial=string&paymentMethod=string&phone=string&postalCode=string&state=string&taxId=string&_forceIndex=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "data": [ { … } ], "search": { "maxScore": 0.1, "scores": {} } }